<?php
// this function sets up the LHS of the file manager

function links($dir)
{
if(!$dir)
{
	$dir = "/";
}

?>
<table width = 50>
<tr><td><a href="upload.php?dir=<?php echo $dir ?>">Upload File</td></tr>
<tr><td><a href="mkdir.php?dir=<?php echo $dir ?>">Create Directory</a></td></tr>
<tr><td><a href="rmdir.php?dir=<?php echo $dir ?>">Delete Directory</a></td></tr>
<tr><td><a href="rmfile.php?dir=<?php echo $dir ?>">Delete Files</a></td></tr>
</table>
<?php
}

function filelist($dir)
{
/*
the following lines of code are used to get a link to files in the Web server DocRoot
For security reasons, links will not appear to files outside the domain of the Web server.
*/

$path = "/usr/local/apache/htdocs/";
$root = explode($path,$dir);

// depending on where you are, set a boolean $flag

if(ereg($path,$dir))
	$flag = true;
else
	$flag = false;

/*
the following block of code determines the files that exist in the folder chosen and displays them their attributes.
*/

$count = 0;
if($dir)
	{
	$directory = $dir;
	}
else
	{
	$directory = "/";
	}
$handle = opendir($directory);
echo "<table width=100%>  <tr><td>&nbsp;</td><td><b>Name</b></td><td><b>Size (bytes)</b></td><td><b>Attributes</b></td></tr>";
while(($file = readdir($handle)) !== false)
{
// string for attributes
	$att = "";
	if(($file != ".") && ($file != ".."))
	{
		$temp = $directory . "/" . $file;
		if(is_file($temp))
		{
			echo "<tr>";
			// display a file icon
			echo "<td><img src=file.jpg></td>";
			// depending on whether or not the file is in the server domain, display it a link
			if($flag)
				{
				echo "<td><a href=$root[1]$file target=_blank>$file</a></td>";
				}
			else
				{
				echo "<td>$file</td>";
				}
			// display file size
			echo "<td>".filesize($temp)."</td>";
			// display attributes
			if(is_writeable($temp))
				$att .= "W";
			if(is_readable($temp))
				$att .= "R";
			if(is_executable($temp))
				$att .= "E";
			echo "<td>$att</td>";

			echo "</tr>";
		}
		else if(is_dir($temp))
		{
			$temp1 = "$dir/$file/";
			if($directory=="/")
			{
			echo "<tr><td><img src=dir.jpg></td><td><a href=index.php?dir=".dirname($temp1)."$file>$file</a></td>";
			}
			else
			{
			echo "<tr><td><img src=dir.jpg></td><td><a href=index.php?dir=" . dirname($temp1) . "/$file>$file</a></td>";
			}
			echo "<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>";
		}
		$count++;
	}
}
echo "</table>";

$path = $dir."/../";

/*
this uses a native function realpath() which returns the absolute path for a path input.
this function is used to send the relative path so as to get a link to the directory one level above.
*/

$rpath = realpath($path);
echo "<br><a href=index.php?dir=$rpath><font size=-1>Parent directory</font></a> ";
echo "<p align=right><font size=-1>Current directory = <b>$dir</b></font>";
}

?>
